using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysUserRoleService
    {
        Task DeleteUserRoleListByRoleId(string roleId);
        Task DeleteUserRoleListByUserId(string userId);
        Task<List<string>> GetUserRoleDataScopeIdList(string userId, string orgId);
        Task<List<string>> GetUserRoleIdList(string userId);
        Task GrantRole(UpdateUserInput input);
    }
}